#include <iostream>
#include <cstdlib>

using namespace std;

int Tiernummer;
string Art;
float Gewicht;
float Einnahme;
float Tagespreis;
bool Bestand;

//Prototypen
void TierAnlegen(void);
void TierAnzeigen(void);
void TierVerkaufen(int);

// Funktion zum Anlegen

void TierAnlegen(void)
{
	cout << "Bitte geben Sie die Tiernummer ein: ";
	cin >> Tiernummer;
	cout << endl;
	cout << "Bitte geben Sie die Tierart ein: ";
	cin >> Art;
	cout << endl;
	cout << "Bitte geben Sie das Gewicht des Tieres an: ";
	cin >> Gewicht;
	cout << endl;
	Bestand = true; //Tier ist im Bestand 
} ;

// Funktion um Daten anzuzeigen

void TierAnzeigen(void)
{
		cout << "Tiernummer: " << Tiernummer << endl;
		cout << "Tierart: " << Art << endl;
		cout << "Gewicht: " << Gewicht << endl;
		cout << "Noch im Bestand? (1 = ja, 0 = nein): " << Bestand << endl;
};

void TierVerkaufen(int nr)
{
	if(Tiernummer == nr && Bestand == 1)
	{
		cout << "Wie steht der Tagespreis?"<< endl;
		cin >> Tagespreis;
		Einnahme = Einnahme + (Gewicht*Tagespreis);
		cout << "Gesamteinnahmen: " << Einnahme << endl;
		Bestand = false;
		cout << endl << endl;
	}
	else if (Tiernummer == nr && Bestand == 0)
	{
		cout << "Tier mit der Nummer " << nr << " nicht im Bestand." << endl;
	}
	else
	{
		cout << "Tier mit der Nummer " << nr << " nicht vorhanden." << endl;
	}
} ;

int main(void)
{
int s = 0, eing, nr; // deklariert integer s auf Null, wird für das Menü werwendet

cout << "Herzlich willkommen bei der Bauernhofverwaltung" << endl << endl << "Bitte treffen Sie Ihre Auswahl im Menue..." << endl << endl << endl;

	// Do-While-Schleife, die das Menü ausgibt und Untermenüs aufruft
	do
	{
	
		system("cls");
		
		//Das Menü
		cout << "[1] Tier anlegen" << endl;
		cout << "[2] Tier anzeigen" << endl;
		cout << "[3] Tier verkaufen" << endl;
		cout << "[0] Beende" << endl<<endl;
		cout << "Treffen Sie Ihre Auswahl: ";
		
		cin >> eing;
	
		//Switch-Abfrage lädt in die einzelnen Menüpunkte
		switch(eing) 
		{
		
			case 1: 
			{
				system("cls");
				TierAnlegen(); // Funktion zur Anlage eines Tieres
				cout << "Tier wurde angelegt: " << endl;
				system("pause");
				break;
			}
			
			case 2: 
			{
				system("cls");
				TierAnzeigen();
				system("pause");
				break;
			}
			
			case 3: 
			{
				system("cls");
				cout << "Tiernummer eingeben: " << endl;
				cin >> nr;
				TierVerkaufen(nr);
				system("pause");
				break;
			}
		}	
	}while (eing != 0);
	cout << endl << "Auf Wiedersehen!" << endl;
	
	system("pause");
	return 0;
};

